
_interrupt:
	MOVWF      R15+0
	SWAPF      STATUS+0, 0
	CLRF       STATUS+0
	MOVWF      ___saveSTATUS+0
	MOVF       PCLATH+0, 0
	MOVWF      ___savePCLATH+0
	CLRF       PCLATH+0

;ADtst.c,6 :: 		void interrupt() {
;ADtst.c,8 :: 		if (INTCON.INT0IF){
	BTFSS      INTCON+0, 1
	GOTO       L_interrupt0
;ADtst.c,9 :: 		INTCON.INTF=0;
	BCF        INTCON+0, 1
;ADtst.c,11 :: 		rep=(PORTB.B7<<1)|PORTB.B6;
	CLRF       R2+0
	BTFSC      PORTB+0, 7
	INCF       R2+0, 1
	MOVF       R2+0, 0
	MOVWF      R1+0
	RLF        R1+0, 1
	BCF        R1+0, 0
	CLRF       R0+0
	BTFSC      PORTB+0, 6
	INCF       R0+0, 1
	MOVF       R0+0, 0
	IORWF      R1+0, 0
	MOVWF      PORTD+0
;ADtst.c,12 :: 		PORTC= OUTM[0];
	MOVF       _OUTM+0, 0
	MOVWF      PORTC+0
;ADtst.c,13 :: 		PORTD=rep;}}
L_interrupt0:
L_end_interrupt:
L__interrupt15:
	MOVF       ___savePCLATH+0, 0
	MOVWF      PCLATH+0
	SWAPF      ___saveSTATUS+0, 0
	MOVWF      STATUS+0
	SWAPF      R15+0, 1
	SWAPF      R15+0, 0
	RETFIE
; end of _interrupt

_ADREAD:

;ADtst.c,14 :: 		unsigned int ADREAD(unsigned char channel){
;ADtst.c,15 :: 		if (channel>10) channel=0;
	MOVF       FARG_ADREAD_channel+0, 0
	SUBLW      10
	BTFSC      STATUS+0, 0
	GOTO       L_ADREAD1
	CLRF       FARG_ADREAD_channel+0
L_ADREAD1:
;ADtst.c,16 :: 		GO_DONE_BIT=1;
	BSF        GO_DONE_bit+0, BitPos(GO_DONE_bit+0)
;ADtst.c,17 :: 		while(GO_DONE_BIT);
L_ADREAD2:
	BTFSS      GO_DONE_bit+0, BitPos(GO_DONE_bit+0)
	GOTO       L_ADREAD3
	GOTO       L_ADREAD2
L_ADREAD3:
;ADtst.c,18 :: 		ADL_byte=ADRESL;
	MOVF       ADRESL+0, 0
	MOVWF      _ADL_byte+0
;ADtst.c,19 :: 		ADH_byte=ADRESH;
	MOVF       ADRESH+0, 0
	MOVWF      _ADH_byte+0
;ADtst.c,21 :: 		ADR=ADH_byte;
	MOVF       _ADH_byte+0, 0
	MOVWF      _ADR+0
	CLRF       _ADR+1
;ADtst.c,22 :: 		if(channel.B3 != 0){
	BTFSS      FARG_ADREAD_channel+0, 3
	GOTO       L_ADREAD4
;ADtst.c,23 :: 		channel.B3=0;
	BCF        FARG_ADREAD_channel+0, 3
;ADtst.c,24 :: 		ADCON0=0x83 | (channel<<3); }
	MOVF       FARG_ADREAD_channel+0, 0
	MOVWF      R0+0
	RLF        R0+0, 1
	BCF        R0+0, 0
	RLF        R0+0, 1
	BCF        R0+0, 0
	RLF        R0+0, 1
	BCF        R0+0, 0
	MOVLW      131
	IORWF      R0+0, 0
	MOVWF      ADCON0+0
	GOTO       L_ADREAD5
L_ADREAD4:
;ADtst.c,26 :: 		{ ADCON0=0x81 | (channel<<3);}
	MOVF       FARG_ADREAD_channel+0, 0
	MOVWF      R0+0
	RLF        R0+0, 1
	BCF        R0+0, 0
	RLF        R0+0, 1
	BCF        R0+0, 0
	RLF        R0+0, 1
	BCF        R0+0, 0
	MOVLW      129
	IORWF      R0+0, 0
	MOVWF      ADCON0+0
L_ADREAD5:
;ADtst.c,27 :: 		return ADR;}
	MOVF       _ADR+0, 0
	MOVWF      R0+0
	MOVF       _ADR+1, 0
	MOVWF      R0+1
L_end_ADREAD:
	RETURN
; end of _ADREAD

_main:

;ADtst.c,28 :: 		void main() {
;ADtst.c,29 :: 		OPTION_REG= 0xc7;
	MOVLW      199
	MOVWF      OPTION_REG+0
;ADtst.c,30 :: 		CMCON=7;
	MOVLW      7
	MOVWF      CMCON+0
;ADtst.c,31 :: 		ADCON0=0x81;
	MOVLW      129
	MOVWF      ADCON0+0
;ADtst.c,32 :: 		ADCON1=0x04;
	MOVLW      4
	MOVWF      ADCON1+0
;ADtst.c,33 :: 		ADCON2=0x10;    //0x30
	MOVLW      16
	MOVWF      ADCON2+0
;ADtst.c,34 :: 		INTCON=0x90;
	MOVLW      144
	MOVWF      INTCON+0
;ADtst.c,35 :: 		TRISA=0xFF;
	MOVLW      255
	MOVWF      TRISA+0
;ADtst.c,36 :: 		TRISB=0xFF;
	MOVLW      255
	MOVWF      TRISB+0
;ADtst.c,37 :: 		TRISC=0x00;
	CLRF       TRISC+0
;ADtst.c,38 :: 		PORTC=0x01;
	MOVLW      1
	MOVWF      PORTC+0
;ADtst.c,39 :: 		TRISD=0x00;
	CLRF       TRISD+0
;ADtst.c,40 :: 		PORTD=0x01;
	MOVLW      1
	MOVWF      PORTD+0
;ADtst.c,41 :: 		delay_ms(4000);
	MOVLW      102
	MOVWF      R11+0
	MOVLW      118
	MOVWF      R12+0
	MOVLW      193
	MOVWF      R13+0
L_main6:
	DECFSZ     R13+0, 1
	GOTO       L_main6
	DECFSZ     R12+0, 1
	GOTO       L_main6
	DECFSZ     R11+0, 1
	GOTO       L_main6
;ADtst.c,42 :: 		PORTC=0x00;
	CLRF       PORTC+0
;ADtst.c,43 :: 		PORTD=0x00;
	CLRF       PORTD+0
;ADtst.c,44 :: 		while(1)
L_main7:
;ADtst.c,45 :: 		{cap2=0  ;
	CLRF       _cap2+0
;ADtst.c,46 :: 		for (cap=0; cap<4; cap++)
	CLRF       _cap+0
L_main9:
	MOVLW      4
	SUBWF      _cap+0, 0
	BTFSC      STATUS+0, 0
	GOTO       L_main10
;ADtst.c,47 :: 		{ if (cap==2) cap2=cap2+2;
	MOVF       _cap+0, 0
	XORLW      2
	BTFSS      STATUS+0, 2
	GOTO       L_main12
	MOVLW      2
	ADDWF      _cap2+0, 1
L_main12:
;ADtst.c,48 :: 		ADRES=ADREAD(cap2);
	MOVF       _cap2+0, 0
	MOVWF      FARG_ADREAD_channel+0
	CALL       _ADREAD+0
	MOVF       R0+0, 0
	MOVWF      _ADRES+0
	MOVF       R0+1, 0
	MOVWF      _ADRES+1
;ADtst.c,49 :: 		OUTM[cap] = ADRES;
	MOVF       _cap+0, 0
	ADDLW      _OUTM+0
	MOVWF      FSR
	MOVF       R0+0, 0
	MOVWF      INDF+0
;ADtst.c,50 :: 		cap2+=1;
	INCF       _cap2+0, 1
;ADtst.c,51 :: 		delay_ms(1);
	MOVLW      7
	MOVWF      R12+0
	MOVLW      125
	MOVWF      R13+0
L_main13:
	DECFSZ     R13+0, 1
	GOTO       L_main13
	DECFSZ     R12+0, 1
	GOTO       L_main13
;ADtst.c,46 :: 		for (cap=0; cap<4; cap++)
	INCF       _cap+0, 1
;ADtst.c,52 :: 		}
	GOTO       L_main9
L_main10:
;ADtst.c,53 :: 		} }
	GOTO       L_main7
L_end_main:
	GOTO       $+0
; end of _main
